From 6f3f80721fe3caf0ec89490065a72aadacce3368 Mon Sep 17 00:00:00 2001 From: Charlie Taylor Date: Thu, 30 Jun 2016 10:42:51 +0100 Subject: [PATCH 1/4] -Alter the required and optional fields for publisher -Add week day enum --- src/apiary.apib | 3 ++- src/common.apib | 11 ++++++++++- 2 files changed, 12 insertions(+), 2 deletions(-) diff --git a/src/apiary.apib b/src/apiary.apib index 381ca71..faf7d9d 100644 --- a/src/apiary.apib +++ b/src/apiary.apib @@ -224,9 +224,10 @@ Create a new Publisher account attached to the authenticated User. + Request (application/json; charset=utf-8) + Attributes (Publisher Base) + account_name: newpublisher123 (required) - Unique advertiser account name - + entity_id: 1 (required) - The relevant entity id + + entity_id: 1 - The relevant entity id + network_id: 1l1000003 (required) - The relevant network id + entity_terms_id: 252 (required) - The terms and conditions for the specified entity + + netowrk_terms_id: 77 (required) - The terms and conditions for the specified network + Response 200 (application/json; charset=utf-8) + Attributes (Publisher Wrapper) diff --git a/src/common.apib b/src/common.apib index 1c9ddcf..1d733ff 100644 --- a/src/common.apib +++ b/src/common.apib @@ -82,7 +82,7 @@ ## Time Info (object) + reporting_timezone (Timezone) -+ week_start: Monday ++ week_start (WeekDay) ## Time Range (object) + start_date_time: `2013-08-31 15:00:00` (string, optional, nullable) @@ -166,3 +166,12 @@ ## Hypermedia (object) + response: /job/111111l1177306/response.json (string, optional, nullable) - The raw response + update: /job/111111l1177306.json (string, optional, nullable) - The update URI + +## WeekDay (enum) ++ Monday ++ Tuesday ++ Wednesday ++ Thursday ++ Friday ++ Saturday ++ Sunday From 9ac826e2878d650942a849f81f56705ad0e43e53 Mon Sep 17 00:00:00 2001 From: Charlie Taylor Date: Thu, 30 Jun 2016 17:18:33 +0100 Subject: [PATCH 2/4] re-organisation of the publisher base and updates --- src/apiary.apib | 5 +++-- src/common.apib | 44 ++++++++++++++++++++++++-------------------- 2 files changed, 27 insertions(+), 22 deletions(-) diff --git a/src/apiary.apib b/src/apiary.apib index faf7d9d..7f60a83 100644 --- a/src/apiary.apib +++ b/src/apiary.apib @@ -250,8 +250,9 @@ Update the specified Publisher. + Request (application/json; charset=utf-8) + Attributes (Publisher Update) - + publisher_id: 1l1007802 - ID of the publisher - + + publisher_id: 1l1007802 (required) - ID of the publisher + + network_status: a - The status of the publisher on the network + + Response 200 (application/json; charset=utf-8) + Attributes (Publisher Wrapper) diff --git a/src/common.apib b/src/common.apib index 1d733ff..74ea2cd 100644 --- a/src/common.apib +++ b/src/common.apib @@ -1,30 +1,38 @@ ## Publisher Update (object) -+ promotional_method: 9 (number, required) ++ promotional_method: 9 (number;) + description: Top performance (string, optional, nullable) - Description of the publisher ++ account_name: publisher123 ++ Include Time Info ++ vertical: 10 (number) ++ promotional_method: 10 (number) ++ contact_email: demo@performancehorizon.com ++ websites (array[Publisher Website]) ++ databases (array[Publisher Database]) ++ contact_name: Pete Cheyne ++ default_currency (Currency) ++ Include Phone ++ network_notes (string, optional, nullable) ++ contact_locale (Locale) ++ reporting_identifier (string, optional, nullable) ++ vat_number: 974997534 (number, optional, nullable) ++ uk_vat_registered (YesOrNo) ++ description (string, optional, nullable) - Description of the publisher ++ im_provider: Skype (string, optional, nullable) ++ im_username: elisangis (string, optional, nullable) ++ company_name: Demo Publisher ++ is_lead_user (YesOrNo, nullable) ++ is_foreign_network (YesOrNo, nullable) ++ company_division (string, optional, nullable) ## Publisher Base (object) ++ Include Time Info + account_name: publisher123 (required) + vertical_name: Other (string, optional) + vertical: 10 (number, required) + promotional_method_name: Portal (string, optional) + promotional_method: 10 (number, required) -+ vat_number: 974997534 (number, optional, nullable) -+ uk_vat_registered (YesOrNo) -+ description (string, optional, nullable) - Description of the publisher -+ company_name: Demo Publisher -+ company_division (string, optional, nullable) + operating_country (Country) -+ Include Time Info -+ default_currency (Currency) -+ Include Phone -+ contact_name: Pete Cheyne -+ contact_email: demo@performancehorizon.com -+ contact_locale (Locale) -+ im_provider: Skype (string, optional, nullable) -+ im_username: elisangis (string, optional, nullable) + Include Signup IP -+ is_lead_user (YesOrNo, nullable) -+ is_foreign_network (YesOrNo, nullable) ## Publisher Website Base (object) + website_url: http://www.performancehorizon.com (required) @@ -61,16 +69,12 @@ + Include Publisher Base + network_status (Status) + network_id: 1l1000003 - ID of the network this publisher belongs to -+ network_notes (string, optional, nullable) + campaign_select (string, optional, nullable) + is_affiliate_user (YesOrNo) + foreign_identifier (string, optional, nullable) -+ reporting_identifier (string, optional, nullable) + gst_registered (string, optional, nullable) + us_tax_state (string, optional, nullable) + abn (string, optional, nullable) -+ websites (array[Publisher Website]) -+ databases (array[Publisher Database]) + legal_entity (Country) ## Phone (object) From 07e1d7dce5d7d24225d8e29e29153eaba091d9f2 Mon Sep 17 00:00:00 2001 From: Charlie Taylor Date: Fri, 1 Jul 2016 13:25:34 +0100 Subject: [PATCH 3/4] include the publisher update in the base --- src/common.apib | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-) diff --git a/src/common.apib b/src/common.apib index 74ea2cd..518b512 100644 --- a/src/common.apib +++ b/src/common.apib @@ -25,6 +25,7 @@ + company_division (string, optional, nullable) ## Publisher Base (object) ++ Include Publisher Update + Include Time Info + account_name: publisher123 (required) + vertical_name: Other (string, optional) @@ -168,7 +169,7 @@ + job (Job) ## Hypermedia (object) -+ response: /job/111111l1177306/response.json (string, optional, nullable) - The raw response ++ response: /job/111111l1177306esponse.json (string, optional, nullable) - The raw response + update: /job/111111l1177306.json (string, optional, nullable) - The update URI ## WeekDay (enum) From 0b89ddb8d9370bc95b06efcbde8eccdc9d10677a Mon Sep 17 00:00:00 2001 From: Charlie Taylor Date: Tue, 5 Jul 2016 11:41:11 +0100 Subject: [PATCH 4/4] fix the semi colon error --- src/common.apib | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-) diff --git a/src/common.apib b/src/common.apib index 518b512..2a14bbd 100644 --- a/src/common.apib +++ b/src/common.apib @@ -1,5 +1,5 @@ ## Publisher Update (object) -+ promotional_method: 9 (number;) ++ promotional_method: 9 (number) + description: Top performance (string, optional, nullable) - Description of the publisher + account_name: publisher123 + Include Time Info @@ -169,7 +169,7 @@ + job (Job) ## Hypermedia (object) -+ response: /job/111111l1177306esponse.json (string, optional, nullable) - The raw response ++ response: /job/111111l1177306/response.json (string, optional, nullable) - The raw response + update: /job/111111l1177306.json (string, optional, nullable) - The update URI ## WeekDay (enum)